Download

Packaging fail only with 'For Distribution'

Hi people,

I’m able to successfully package my project in ‘Development’ and in ‘Shipping’, but as soon as I turn ON the option ‘For Distribution’ I get an Error Unknown Error.
Do you have some clues about this issue?

Thanks for your help.

The log is linked to this thread.

migrate the project and try to package again with default settings except the game default map and input (if you have extra inputs), then let me know if it success or not.

From the log: “ERROR: DistributionSigning settings are not all set. Check the DistributionSettings section in the Andriod tab of Project Settings”

You need to put your keystore file in the project’s Build/Android directory and fill in the information in the project settings with the alias and password.

THX for the tips, I let you know as soon as I’ve tried.

Your advice as allowed me to solve the distribution signing issue problem. THX, but the packing still fail for distribution.
Those two pages have been also really helpful.

https://docs.unrealengine.com/latest/INT/Platforms/Android/DistributionSigning/

Even after to have solved the previous issue about (DistributionSigning settings) I’ve still get an PackagingResults:Error: Error Unknown Error

I’ve attached the latest log to this reply. If anyone can double check? THX again.

I’ve tried to re install the entire project in a NewProject from the latest version (1.14.3) but I get the same issue.

The Keystore is at the right location.
5df7fa36c8f1c1b4daf7f5d1f266d76784a337cf.jpeg

The Distribution signing seems OK.
56b3e36f9d5f1990be80da8c72a87edf2ef9fcec.jpeg

Here is the error:

G:\Softwares\NVPACK\android-sdk-windows ools\ant\build.xml:871: Can’t read [G:\Softwares\NVPACK\android-sdk-windows\platforms\android-24\android.jar] (Can’t process class [dalvik/annotation/TestTargetClass.class] (Unsupported class version number [52.0] (maximum 51.0, Java 1.7)))

This is caused by too old a version of Proguard for Android 24. Looks like the version (4.7) in the CodeWorks for Android is the issue. Grabbing Proguard 5.2.1 zip from here: https://sourceforge.net/projects/proguard/files/proguard/5.2/ and replacing the jar files in NVPACK\android-sdk-windows ools\proguard\lib with the ones from the proguard5.2.1.zip should fix this.

Thanks a lot Chris,
You have solved my issue. I really appreciate.